> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Multi-Vehicle Movement

> Initiate Multi-Vehicle Movement for an E-Way Bill

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/initiate_multi_vehicle_movement.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/multi-vehicle
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/multi-vehicle:
    post:
      tags:
        - E-Way Bill1
        - Transporter
        - Multi-vehicle Movement
      summary: Initiate Multi-vehicle Movement
      description: Initiate Multi-vehicle Movement
      operationId: initiateMultiVehicleMovement1
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ewbNo:
                  type: number
                  example: 291010080003
                fromPlace:
                  type: string
                  example: BANGALORE
                fromState:
                  type: number
                  example: 29
                reasonCode:
                  type: string
                  example: '1'
                reasonRem:
                  type: string
                  example: vehicle broke down
                toPlace:
                  type: string
                  example: Beml Nagar
                toState:
                  type: number
                  example: 24
                totalQuantity:
                  type: number
                  example: 33
                transMode:
                  type: string
                  example: '1'
                unitCode:
                  type: string
                  example: NOS
            examples:
              646 Consignee cannot initiate multi-vehicle movement:
                value:
                  ewbNo: 291010080003
                  fromPlace: BANGALORE
                  fromState: 29
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  toPlace: Beml Nagar
                  toState: 24
                  totalQuantity: 33
                  transMode: '1'
                  unitCode: NOS
                summary: 646 Consignee cannot initiate multi-vehicle movement
              200 Multi-vehicle movement initiated:
                value:
                  ewbNo: 211010079995
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  fromPlace: BANGALORE
                  fromState: 29
                  toPlace: Beml Nagar
                  toState: 24
                  transMode: '1'
                  totalQuantity: 33
                  unitCode: NOS
                summary: 200 Multi-vehicle movement initiated
              645 Part B already updated:
                value:
                  ewbNo: 271010079654
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  fromPlace: BANGALORE
                  fromState: 29
                  toPlace: Chennai
                  toState: 33
                  transMode: '1'
                  totalQuantity: 33
                  unitCode: NOS
                summary: 645 Part B already updated
              381 Part B is not updated:
                value:
                  ewbNo: 211010079995
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                  fromPlace: BANGALORE
                  fromState: 29
                  toPlace: Chennai
                  toState: 33
                  transMode: '1'
                  totalQuantity: 33
                  unitCode: NOS
                summary: 381 Part B is not updated
      responses:
        '200':
          description: >-
            200 Multi-vehicle movement initiated / 645 Part B already updated /
            381 Part B is not updated / 646 Consignee cannot initiate
            multi-vehicle movement
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          createdDate:
                            type: string
                            example: 13/05/2024 04:12:00 PM
                          ewbNo:
                            type: string
                            example: '211010079995'
                          groupNo:
                            type: string
                            example: '1'
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: 645,
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 4065cab6-2bf6-4301-9f80-df26fc7e2a04
              examples:
                646 Consignee cannot initiate multi-vehicle movement:
                  summary: 646 Consignee cannot initiate multi-vehicle movement
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 646,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 4578617b-75c4-4480-90bd-6653906f024f
                200 Multi-vehicle movement initiated:
                  summary: 200 Multi-vehicle movement initiated
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        createdDate: 13/05/2024 04:12:00 PM
                        ewbNo: '211010079995'
                        groupNo: '1'
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 4065cab6-2bf6-4301-9f80-df26fc7e2a04
                645 Part B already updated:
                  summary: 645 Part B already updated
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 645,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 853309fd-fd1e-4456-bd4d-643b63281b7c
                381 Part B is not updated:
                  summary: 381 Part B is not updated
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '381'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 54e4307d-b993-4329-b60d-25cba68f8ce7
          headers: {}
      deprecated: false
      security: []

````